@import 'variables';
@import 'pages/knowledge-base';
@import 'pages/landing';
@import 'pages/text-pages';
@import 'pages/wallet-guide';
@import 'partials/footer';
@import 'partials/header';
@import 'partials/main';
@import 'partials/modal';
@import 'partials/sidebar';


.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 16px;
  box-sizing: border-box;
  @media only screen and (min-width: 768px) {
    padding: 0 40px;
  }
  @media only screen and (min-width: 992px) {
    padding: 0 120px;
  }
}

.container-small {
  max-width: 800px;
  margin: 0 auto;
  padding-left: 16px;
  padding-right: 16px;
  @media only screen and (min-width: 768px) {
    padding-left: 0;
    padding-right: 0;
  }
}

.container-no-padding {
  max-width: 800px;
  margin: 0 auto;
  padding: 0;
  @media only screen and (min-width: 768px) {
    padding: 0 40px;
  }
}

@media only screen and (min-width: 768px) {
  .navbar-backdrop {
    position: fixed;
    display: none;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 150;
    background-color: $brand-primary-600;
    opacity: 0.3;
  }
}

.modal-backdrop {
  position: fixed;
  display: none;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 150;
  background-color: $brand-primary-600;
  opacity: 0.3;
}

.backdrop-open {
  overflow: hidden;
  @media only screen and (min-width: 992px) {
    padding-right: 16px;
  }
}

.marketing-banner {
  height: 40px;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  background-color: #46033B;
  @media only screen and (min-width: 768px) {
    height: 80px;
  }
  button {
    margin-right: 40px;
    img {
      width: 16px;
    }
  }
}

.games-section-content {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 8px;
  box-sizing: border-box;
  @media only screen and (min-width: 768px) {
    padding: 0 32px;
  }
  @media only screen and (min-width: 992px) {
    padding: 0 104px;
  }
}

.games-card-container {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  .game-card {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    background-color: $brand-primary-100;
    width: calc((100% - 32px)/2);
    margin: 0 8px;
    margin-bottom: 16px;
    @media only screen and (min-width: 768px) {
      width: calc((100% - 64px)/4);
    }
    img {
      width: 100%;
    }
    h4 {
      color: $brand-primary-600;
      margin: 16px;
      @media only screen and (min-width: 992px) {
        margin: 24px;
        font-size: 20px;
      }
    }
    .games-new-icon {
      position: absolute;
      height: max-content;
      font-size: 11px;
      padding: 4px;
      border-radius: 4px;
      right: 8px;
      top: 8px;
      background-color: $brand-white;
      color: $brand-second;
      @media only screen and (min-width: 992px) {
        position: static;
        color: $brand-white;
        background-color: $brand-second;
        margin-right: 24px;
      }
    }
    .game-card-content {
      position: relative;
      display: flex;
    }

    &:hover {
      .game-hover-btn {
        background-color: rgba(18,3,61,0.3);
        opacity: 1;
      }
    }
  }
  &::after {
    content: "";
    flex: auto;
  }
}

.games-page {
  padding-top: 40px;
  padding-bottom: 104px;
  h3 {
    margin-left: 8px;
    @media only screen and (min-width: 768px) {
      font-size: 24px;
    }
  }
}

.game-hover-btn {
  position: absolute;
  top: 0;
  right: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
  z-index: 150;
  background-color: transparent;
  opacity: 0;
  transition: all .2s ease-in-out;
  .btn-primary {
    padding: 13px 50px;
  }
}
